Subject: [PATCH] offb.c fix

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 23 Dec 1998 04:37:17 +0100

Enclosed is a small patch to offb.c that fixes a problem with some ATI
displays in 16 
(and potentially 32) bpp. The kluge used for accessing the colormap
should be used only for 8 bits, it broke 16 bits on my PowerBook G3 Series.

Geert, could you explain me briefly where I should put the static
colormap that bootx gives me ? I mean, in 8 bits, especially for non-ATI
display (without the hack), the colormap is fixed and currently set to
the logo colors. I plan to set more useful colors but currently offb
makes no use of the colormap provided by bootx. Implementing this would
allow userland stuffs to know which colors were set by bootx.

I'm not sure of what I should do with this cmap, where I should store it
in the fb device structures...

-- 
           E-Mail: <mailto:[email-masked]>
BenH.      Web   : <http://calvaweb.calvacom.fr/bh40/>